%global		priority	65-2
%global		fontname	ipa-pgothic
%global		fontconf	%{priority}-%{fontname}.conf
%global		archiveversion	00302
%global		archivename	ipagp%{archiveversion}

%global		_fontbasedir		%{_datadir}/fonts
%global		_fontdir		%{_fontbasedir}/%{fontname}
%global		_fontconfig_confdir	%{_sysconfdir}/fonts/conf.d
%global		_fontconfig_templatedir	%{_sysconfdir}/fonts/conf.avail

Name:		%{fontname}-fonts
Version:	003.02
Release:	3.1%{?dist}
Summary:	Japanese Proportional Gothic-typeface OpenType font by IPA

Group:		User Interface/X
License:	IPA
URL:		http://ossipedia.ipa.go.jp/ipafont/
Source0:	http://info.openlab.ipa.go.jp/ipafont/fontdata/%{archivename}.zip
Source1:	%{name}-fontconfig.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:	noarch
Requires:	fontconfig

%description
IPA Font is a Japanese OpenType fonts that is JIS X 0213:2004
compliant, provided by Information-technology Promotion Agency, Japan.

This package contains Proportional Gothic (sans-serif) style font.

%prep
%setup -q -n %{archivename}


%build

%install
rm -rf $RPM_BUILD_ROOT

install -m 0755 -d $RPM_BUILD_ROOT%{_fontdir}
install -m 0644 -p *.ttf $RPM_BUILD_ROOT%{_fontdir}

install -m 0755 -d	$RPM_BUILD_ROOT%{_fontconfig_templatedir}	\
			$RPM_BUILD_ROOT%{_fontconfig_confdir}
install -m 0644 -p	%{SOURCE1}	\
			$RPM_BUILD_ROOT%{_fontconfig_templatedir}/%{fontconf}

#ln -s	%{_fontconfig_templatedir}/%{fontconf}	\
#	$RPM_BUILD_ROOT%{_fontconfig_confdir}/%{fontconf}

%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x %{_bindir}/fc-cache ]; then
	%{_bindir}/fc-cache %{_fontdir} || :
fi

%postun
if [ $1 -eq 0 -a -x %{_bindir}/fc-cache ]; then
	%{_bindir}/fc-cache %{_fontdir} || :
fi

%files
%defattr(0644,root,root,0755)
%doc Readme_%{archivename}.txt IPA_Font_License_Agreement_v1.0.txt
%dir %{_fontdir}
%{_fontdir}/*.ttf
%{_fontconfig_templatedir}/%{fontconf}


%changelog
* Mon Aug 22 2011 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Thu Jul 29 2010 Akira TAGOH <tagoh@redhat.com> - 003.02-3.1
- Get rid of fontpackages dependency for RHEL-5.
- Add Requires: fontconfig
- Do not make a symlink into /etc/fonts/conf.d.
- roll back the release to keep it less than RHEL-6's.

* Thu May 20 2010 Akira TAGOH <tagoh@redhat.com> - 003.02-4.1
- Backport from Fedora.
- Improve the fontconfig config file to match ja as well. (#586843)

* Mon Apr 19 2010 Akira TAGOH <tagoh@redhat.com> - 003.02-4
- Get rid of compare="contains".

* Mon Apr 19 2010 Akira TAGOH <tagoh@redhat.com> - 003.02-3
- Get rid of binding="same" from the fontconfig config file. (#578023)

* Tue Feb 16 2010 Akira TAGOH <tagoh@redhat.com> - 003.02-1
- New upstream release.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 003.01-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun  5 2009 Akira TAGOH <tagoh@redhat.com> - 003.01-3
- Disable hinting.

* Wed Apr 22 2009 Akira TAGOH <tagoh@redhat.com> - 003.01-2
- Correct the source URL.

* Tue Apr 21 2009 Akira TAGOH <tagoh@redhat.com> - 003.01-1
- Initial package.

